Bug 78626 - anaconda crashes on IO errors: should be a little more graceful.
Summary: anaconda crashes on IO errors: should be a little more graceful.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-26 17:05 UTC by Telsa Gwynne
Modified: 2008-01-17 17:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 14:58:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Telsa Gwynne 2002-11-26 17:05:02 UTC
Description of Problem:

CDs burned and worked on various machines. Stuffed them into a
machine with a more picky drive (DVD drive, not CD drive). Twice
IO errors have crashed anaconda completely. In at least one case,
had it just skipped the package I think there would have been no
untoward consequences.

Version-Release number of selected component (if applicable): 
anaconda from GinGin beta1

How Reproducible: seems reasonably so.

Steps to Reproduce:
1. Burn CDs. Put big scratch on one :) (or something)
2. Use a DVD drive instead of a CD drive. 
3. Install lots. Wait for anaconda to crash.

Actual Results: Traceback and aborted installation. 
Expected Results: Complaint and option to attempt to continue or exit. 

Additional Information:
	
Apparently the relevant line from the traceback is

File "/usr/lib/anaconda/pack.py ", line 333
  cb UnboundLocalError: local variable
  'fn' referenced before assignment.

If this is not enough,  I am sorry, but that's what was
dictated at me.  I am sure I can do it again though :)

Comment 1 Jeremy Katz 2002-11-26 22:19:05 UTC
This one's fixed... we had a check slip out of the try accidentally.

Comment 2 Michael Fulbright 2002-12-20 17:38:25 UTC
Time tracking values updated

Comment 3 Brent Fox 2003-05-25 14:58:43 UTC
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.


Note You need to log in before you can comment on or make changes to this bug.